Subject: bug#68557: 30.0.50; "--enable-checking=yes,glyphs" leads to "alloc.c:3446: Emacs fatal error: assertion failed: h->index_size > 1"

From: Gregor Zattler <[email-masked]>
Date: Sun, 21 Jan 2024 10:14:52 +0100

Hi Eli, Emacs developers,
* Eli Zaretskii <[email-masked]> [2024-01-21; 07:08 +02]:
>> From: Gregor Zattler <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 20 Jan 2024 21:18:05 +0100
>> 

[...]
>> In case that helps, I bisected this issue and got the
>> following result:
>> 
>> d3cefd3e98354929d96c9396e5920e8a123784dc is the first bad commit                                                                                                                               commit d3cefd3e98354929d96c9396e5920e8a123784dc
>> Author: Mattias Engdegård <[email-masked]>
>> Date:   Sat Nov 4 16:34:09 2023 +0100
>> 
>>     Leaner hash table dumping and thawing
>
> Are you saying that the current HEAD of the master branch still shows
> this failure?

sorry that I did not check that first.

I confirm master at
commit 0a07603ae8db41f69e83b1bfec6e28a92f737852 does
build even with  --enable-checking=yes,glyphs

Thanks to who ever fixed this bug.

Regards, Gregor